//	Release Version:	$ ODF 2 $
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef PART_H
#define PART_H

//=======================================================================

// ----- Framework Includes -----
#ifndef FWPART_H
#include "FWPart.h"			// FW_CPart
#endif


//=======================================================================
class FW_CMenuBar;
class FW_CMenuEvent;
class FW_CPresentation;

//=======================================================================
class CMnuPart : public FW_CPart {
public:
	FW_DECLARE_AUTO(CMnuPart)
						CMnuPart(ODPart* odPart);
	virtual 			~CMnuPart();
// overrides
protected:
	virtual void 		Initialize(Environment* ev,
								ODStorageUnit* storageUnit, 
								FW_Boolean fromStorage);
	virtual FW_CContent* NewPartContent(Environment* ev);
	virtual FW_CFrame*	NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);
	virtual FW_Handled	DoAdjustMenus(Environment* ev,
									  FW_CMenuBar* menuBar, 
									  FW_Boolean hasMenuFocus,
									  FW_Boolean isRoot);
	virtual FW_Handled	DoMenu(Environment* ev,
							   const FW_CMenuEvent& theMenuEvent);
	virtual FW_Handled	DoAbout(Environment* ev);
// new members
private:
	FW_CPresentation*	fPresentation;
};

//=======================================================================
#endif
